liblwr-rave test binarys from toolkit linked wrong
Status: Rejected Start date: 09/09/2013
Priority: Urgent Due date:
Assignee: J. Moringen % Done: 0%
Category: Estimated time: 0.00 hour
Target version:
Description

when trying to run liblwr-rave test binaries from toolkit, it seems they are linked to old locations of libraries

$ /vol/toolkit/nightly/x86_64/successful/bin/examples/liblwr-rave/runEnvironmentTest
Loading scene from file:        /vol/toolkit/nightly/x86_64/2013-09-09_02-00-40/etc/liblwr-rave/obstacle_none.env.xml
[LWRRaveEnvironment] creating rave environment...
[plugindatabase.h:395] /vol/toolkit/nightly/x86_64/share/openrave-0.9/plugins doesn't exist
[libopenrave.cpp:768] /vol/toolkit/nightly/x86_64/share/openrave-0.9 doesn't exist
[plugindatabase.h:577] Failed to create name ode, interface collisionchecker
[plugindatabase.h:577] Failed to create name bullet, interface collisionchecker
[plugindatabase.h:577] Failed to create name pqp, interface collisionchecker
[plugindatabase.h:577] Failed to create name pqp, interface collisionchecker
[plugindatabase.h:577] Failed to create name qtcoin, interface viewer
[...]

History
#1 - 09/09/2013 01:26 PM - D. Seidel

I forgot to add an assignee and I am not allowed to update it.

#2 - 09/09/2013 01:41 PM - S. Wrede
- Assignee set to J. Moringen

#3 - 09/09/2013 03:50 PM - J. Moringen
- Status changed from New to Rejected

Please file requests like this in the toolkit deployment project: https://projects.cit-ec.uni-bielefeld.de/projects/ci

This seems to be an upstream problem in openrave: their CMake build system cannot be reconfigured without deleting the build directory. Please file
an upstream bug.

As a workaround, we will delete the build directory for this project in every toolkit build. Note that this will add up to ~ 30 min to the toolkit build time.

#4 - 09/25/2013 03:54 PM - J. Moringen

In the meantime, the redmine project containing project descriptions has moved to
https://opensource.cit-ec.de/projects/citk/repository
